---

#! /zdci/db/releases/20250705230553/lkp-src/jobs/kunit.yaml
suite: kunit
testcase: kunit
category: functional
kunit:
  group: group-00
kernel_cmdline: kunit.enable=1
job_origin: kunit.yaml

#! queue options
queue_cmdline_keys:
- branch
- commit
queue: bisect
testbox: lkp-hsw-d03
tbox_group: lkp-hsw-d03
job_file: "/lkp/jobs/scheduled/lkp-hsw-d03/kunit-group-00-debian-12-x86_64-20240206.cgz-e33530ce8ac5-20250709-139107-bssu4k-0.yaml"
id: aa4a93c90b04374233ac7a1cbd1f7a098e1910b3
queuer_version: "/zdci/src/lkp"

#! /zdci/db/releases/20250705230553/lkp-src/hosts/lkp-hsw-d03
model: Haswell
nr_node: 1
nr_cpu: 8
memory: 16G
nr_ssd_partitions: 1
nr_hdd_partitions: 4
hdd_partitions: "/dev/disk/by-id/ata-ST1000DM010-2EP102_W9APNA3R-part*"
ssd_partitions: "/dev/disk/by-id/ata-INTEL_SSDSC2BB480G6_BTWA6075012T480FGN-part1"
rootfs_partition: "/dev/disk/by-id/ata-INTEL_SSDSC2BB480G6_BTWA6075012T480FGN-part2"
brand: Intel(R) Core(TM) i7-4770 CPU @ 3.40GHz
ucode: '0x28'
need_kconfig_hw:
- PTP_1588_CLOCK: "y"
- E1000E: "y"
- SATA_AHCI
- DRM_I915

#! /zdci/db/releases/20250705230553/lkp-src/include/category/functional
kmsg:
heartbeat:
meminfo:

#! /zdci/db/releases/20250705230553/lkp-src/include/category/ALL
sanity-check:

#! /zdci/db/releases/20250705230553/lkp-src/include/queue/cyclic
commit: e33530ce8ac50d5155aa7a83f6dcd8b8372279d0

#! /zdci/db/releases/20250705230553/lkp-src/programs/kunit/include
need_kconfig:
- RUNTIME_TESTING_MENU: "y"
- KUNIT: "y"
- KUNIT_DEFAULT_ENABLED: "n"
- KUNIT_DEBUGFS: "y"
- KUNIT_ALL_TESTS: m
- KUNIT_EXAMPLE_TEST: "n"
- KUNIT_TEST: "n"
- MEMCPY_SLOW_KUNIT_TEST: "n"
- BITFIELD_KUNIT: m
- BITS_TEST: m
- CMDLINE_KUNIT_TEST: m
- HASH_KUNIT_TEST: m
- LINEAR_RANGES_TEST: m
- LIST_KUNIT_TEST: m
- MEMCPY_KUNIT_TEST: m
- SND_SOC_TOPOLOGY_KUNIT_TEST: m
- NETDEV_ADDR_LIST_TEST: m
- RESOURCE_KUNIT_TEST: m
- SYSCTL_KUNIT_TEST: m
- TIME_KUNIT_TEST: m
- TEST_LIST_SORT: m
- TEST_SORT: m
- CPUMASK_KUNIT_TEST: m
- IS_SIGNED_TYPE_KUNIT_TEST: m
- OVERFLOW_KUNIT_TEST: m
- SIPHASH_KUNIT_TEST: m
- STACKINIT_KUNIT_TEST: m
- DRIVER_PE_KUNIT_TEST
- RTC_LIB_KUNIT_TEST: m
- RTC_CLASS: "y"
- FORTIFY_KUNIT_TEST: m
- FORTIFY_SOURCE: "y"
- EXT4_KUNIT_TESTS: m
- EXT4_FS
- TRACEPOINTS: "y"
- MPTCP_KUNIT_TEST: m
- MPTCP: "y"
- RATIONAL_KUNIT_TEST: m
- RATIONAL: "y"
- SLUB_KUNIT_TEST: m
- SLOB_DEPRECATED: "n"
- SLUB: "y"
- SLUB_DEBUG: "y"
- SLUB_TINY: "n"
- SECURITY_APPARMOR_KUNIT_TEST: m
- SECURITY_APPARMOR: "y"
- CLK_GATE_KUNIT_TEST: m
- CLK_KUNIT_TEST: m
- COMMON_CLK: "y"
- CROS_KUNIT_EC_PROTO_TEST: m
- CHROME_PLATFORMS: "y"
- CROS_EC: m
- HID_KUNIT_TEST: m
- HID_SUPPORT: "y"
- HID
- HID_BATTERY_STRENGTH: "y"
- USB
- USB_HID
- HID_UCLOGIC: m
- IIO_FORMAT_KUNIT_TEST: m
- IIO: m
- IIO_RESCALE_KUNIT_TEST: m
- IIO_RESCALE: m
- SND_SOC_UTILS_KUNIT_TEST: m
- SOUND: m
- FAT_KUNIT_TEST: m
- FAT_FS
- STRING_HELPERS_KUNIT_TEST: m
- STRING_KUNIT_TEST: m
- USERCOPY_KUNIT_TEST: m
- DAMON_KUNIT_TEST: "y"
- PM_QOS_KUNIT_TEST: "y"
- BINFMT_ELF_KUNIT_TEST: "y"
- VCAP_KUNIT_TEST: "y"
- VCAP: "y"
- NET_VENDOR_MICROCHIP: "y"
- USB4_KUNIT_TEST: "y"
- USB4: "y"
- FPROBE_SANITY_TEST: "y"
- FPROBE: "y"
- HW_BREAKPOINT_KUNIT_TEST: "y"
- PROFILING: "y"
- PERF_EVENTS: "y"
- DAMON_DBGFS_KUNIT_TEST: "y"
- DAMON: "y"
- DAMON_DBGFS: "y"
- DAMON_VADDR: "y"
- DAMON_VADDR_KUNIT_TEST: "y"
- DAMON_PADDR: "y"
- DAMON_SYSFS: "y"
kconfig: x86_64-rhel-9.4-kunit
enqueue_time: 2025-07-09 12:08:42.515864487 +08:00
_rt: "/result/kunit/group-00/lkp-hsw-d03/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4-kunit/gcc-12/e33530ce8ac50d5155aa7a83f6dcd8b8372279d0"
compiler: gcc-12
head_commit: c84151889eab61d6679afb891f0fd99453df604a
base_commit: d0b3b7b22dfa1f4b515fd3a295b3fd958f9e81af
branch: linux-devel/devel-hourly-20250705-104439
rootfs: debian-12-x86_64-20240206.cgz

#! schedule options
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/.src-20250708-160907"
arch: x86_64
max_uptime: 6000
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/kunit/group-00/lkp-hsw-d03/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4-kunit/gcc-12/e33530ce8ac50d5155aa7a83f6dcd8b8372279d0/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-9.4-kunit/gcc-12/e33530ce8ac50d5155aa7a83f6dcd8b8372279d0/vmlinuz-6.16.0-rc4-00050-ge33530ce8ac5
- branch=linux-devel/devel-hourly-20250705-104439
- job=/lkp/jobs/scheduled/lkp-hsw-d03/kunit-group-00-debian-12-x86_64-20240206.cgz-e33530ce8ac5-20250709-139107-bssu4k-0.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-9.4-kunit
- commit=e33530ce8ac50d5155aa7a83f6dcd8b8372279d0
- kunit.enable=1
- intremap=posted_msi
- max_uptime=6000
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-9.4-kunit/gcc-12/e33530ce8ac50d5155aa7a83f6dcd8b8372279d0/modules.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20250628.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/run-ipconfig_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20241102.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20250523.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: shz

#! /zdci/db/releases/20250705230553/lkp-src/include/site/shz
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-hsw-d03/kunit-group-00-debian-12-x86_64-20240206.cgz-e33530ce8ac5-20250709-139107-bssu4k-0.cgz"
last_kernel: 6.16.0-rc1-wt-ath-03389-g803ee125f51a
acpi_rsdp: '0x000f0490'

#! user overrides
kernel: "/pkg/linux/x86_64-rhel-9.4-kunit/gcc-12/e33530ce8ac50d5155aa7a83f6dcd8b8372279d0/vmlinuz-6.16.0-rc4-00050-ge33530ce8ac5"
result_root: "/result/kunit/group-00/lkp-hsw-d03/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4-kunit/gcc-12/e33530ce8ac50d5155aa7a83f6dcd8b8372279d0/0"
user: lkp

#! /zdci/db/releases/20250709085953/lkp-src/include/site/shz
dequeue_time: 2025-07-09 12:12:50.849137310 +08:00
job_state: finished
loadavg: 2.99 1.39 0.54 1/186 5957
start_time: '1752035317'
end_time: '1752035341'
version: "/lkp/lkp/.src-20250708-160907:c130d6b2c2d7-dirty:aa74e22f9cb9-dirty"
